API ReferenceNon Insurance Payer RefundsV1
Get non-insurance payer refund
Retrieves a previously created non-insurance payer refund by its `non_insurance_payer_refund_id`.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
non_insurance_payer_refund_id*non-insurance-payer-refundsv1NonInsurancePayerRefundId
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/non-insurance-payer-refunds/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "non_insurance_payer_refund_id": "f6212988-9f36-41e4-a8fc-7fbb2107d7dd", "non_insurance_payer": { "non_insurance_payer_id": "8aaf7567-cd3d-41a3-9d13-4e727c1f7ad1", "name": "Sunrise Foundation", "description": "string", "category": "string", "enabled": true, "address": { "zip_plus_four_code": "string", "address1": "string", "address2": "string", "city": "string", "state": "AA", "zip_code": "string" }, "clinical_trials": [ { "clinical_trial_id": "656d392d-2bad-45a1-bb5d-94637107f232", "non_insurance_payer_id": "8aaf7567-cd3d-41a3-9d13-4e727c1f7ad1", "is_active": true, "name": "string", "clinical_trial_number": "string", "clinical_trial_phase": "Phase 1" } ] }, "amount_cents": 0, "refund_timestamp": "2019-08-24T14:15:22Z", "refund_note": "string", "check_number": "string", "allocations": [ { "allocation_id": "382c58cf-1df3-4a3e-982d-9827484a770a", "amount_cents": 0, "target": { "type": "service_line", "service_line_id": "a87d8c62-6b36-44c6-9f01-a675dd3707d1", "claim_id": "6ed32748-64af-4d95-94ea-a78b6397033c", "encounter_id": "7a82c561-3d07-4ff8-8b24-4d41b12287d2" }, "earmark": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "target": { "type": "date_of_service", "value": "string" }, "amount_earmarked_cents": 0, "created_by_allocation_id": "b4f1e181-a23f-4a6d-8fac-1456d1d8b4b8" }, "allocated_on": "2019-08-24T14:15:22Z" } ], "refund_reason": "OVERCHARGED", "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32"}Create non-insurance payer refund POST
Creates a new non-insurance payer refund record and returns the newly created `NonInsurancePayerRefund` object. The allocations can describe whether the refund is being applied toward a specific service line, claim, or billing provider.
Update non-insurance payer refund PATCH
Updates the non-insurance payer refund record matching the provided non_insurance_payer_refund_id. If updating the refund amount, then the allocations must be appropriately updated as well.